0.217 2019-12-25
----------------


MAMETesters Bugs Fixed
----------------------
- 00232: [Graphics] (skyfox.cpp) exerizerb, skyfox: Missing parallax effect. (sasuke)
- 04344: [Graphics] (galivan.cpp) ninjemak and clones: Continue countdown on game over displays incorrectly. (sasuke)
- 05380: [Interface] (apple2gs.cpp) apple2gs: Command-line media options not recognised for cards set in INI file. (R. Belmont)
- 05387: [Timing] (snk6502.cpp) nibbler: Some animations run too fast. (AJR)
- 05606: [Gameplay] (crvision.cpp) crvision and clones: Sound plays too slowly causing game delay issues. (Michael Zapf)
- 06782: [Gameplay] (apple2gs.cpp) apple2gs [chsm2100]: Chessmaster 2100 player clocks do not count. (R. Belmont)
- 06946: [Misc.] (galivan.cpp) dangar, dangara, dangarb, dangarbt, dangarj: Black warp screen between areas is missing. (sasuke)
- 07196: [Timing] (snk6502.cpp) nibbler: Game slows down periodically in two-player mode. (AJR)
- 07482: [Color/Palette] (apple2.cpp) apple2, apple2e and clones: Graphics colors do not match the original machines. (R. Belmont)
- 07493: [Graphics] (galivan.cpp) dangar, dangara, dangarb, dangarj, galivan, galivan2, galivan3: Incorrect text colors. (sasuke)
- 07494: [Graphics] (terracre.cpp) horekid, horekidb, boobhack: Coffee break doesn't show. (sasuke)
- 07501: [Sound] (snk6502.cpp) nibbler: Snake sound missing when materializing in two-player game. (hap)
- 07502: [Sound] (ms32.cpp) f1superb: Machine is flagged as lacking sound emulation, but plays sound. (ArtLine)
- 07510: [Cheat System] An unnecessary separator is displayed at the top of the cheat menu. (kunikuni)
- 07524: [DIP/Input] (subsino2.cpp) new2001, queenbee, squeenb: Input settings are not saved. (hap)


New working machines
--------------------
Bondwell Holding Bondwell Portable Computer Model 14 (German keyboard) [rfka01]
Cosmo Gang (US) [hap, Lord Nightmare, coolmod, The Dumping Union]
CXG Systems / Newcrest Technology Sphinx 40 [hap, Berger]
CXG Systems / Newcrest Technology Sphinx Dominator (v2.05) [hap, Berger]
France Double R La Regence [hap, anonymous]
Intec InterAct Complete Video Game 89-in-1 [Sean Riddle, David Haywood]
Lexibook JG7415 120-in-1 [TeamEurope, David Haywood]
MiWi2 16-in-1 + Drum Master [David Shah, David Haywood]


New working clones
------------------
200 in 1 Retro Arcade [eanbowman]
Acorn Computers / Slogger Acorn Electron (Stop Press 64i) [Nigel Barnes]
Arlington Horse Racing (v1.40-D) [Brian Troha, The Dumping Union]
Magic Bubble (Adult version, YS1302 PCB, set 2) [hammy, The Dumping Union]
Mandinga (Electrogame S.A. bootleg of Amidar) [ClawGrip, Rampa]
Megatouch 5 (9255-60-50 R0G, Bi-Lingual GER/ENG version) [TeamEurope, Brian Troha, The Dumping Union]
Mera-Elzab Meritum I (Model 1) [element853, Robbbert]
Osborne Osborne-1 with SCREEN-PAC [Vas Crabb]
Snow Bros. 2 - With New Elves / Otenki Paradise (Nyanko) [jordigahan, Heckler, ClawGrip]
Tron (5/12) [cdjump @ klov]


Machines promoted to working
----------------------------
Jungle Soft / Ultimate Products (HK) Ltd Zone 40 [David Haywood, BeckyRGB]
Lexibook Zeus IG900 20-in-1 (US?) [David Haywood, Sean Riddle]
Star Wars Arcade (US) [O. Galibert, Caps0ff]
Wing War (World) [O. Galibert, Caps0ff]


Clones promoted to working
--------------------------
Channel Three [TeamEurope, Grull Osgo, Ivan Vangelista]
Star Wars Arcade (Japan) [O. Galibert, Caps0ff]
Wing War (Japan) [O. Galibert, Caps0ff]
Wing War (US) [O. Galibert, Caps0ff]
Wing War R360 (US) [O. Galibert, Caps0ff]


New machines marked as NOT_WORKING
----------------------------------
21 (Sigma) [Yasuhiro Ogawa]
BaoBaoLong BBL380 - 180 in 1 [zhongtiao1]
Buttobi Striker [SpinalFeyd, R. Belmont]
Cars 2 (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
Chameleon RX-1 [starlord, ClawGrip, Recreativas.org]
Digital Equipment Corporation VT52 [Dalby Datormuseum, Matt Burke, AJR]
EOD Performance Inc. Vanguard MK1 [Caps0ff]
Fantasy Story [David Haywood, caius, The Dumping Union]
Fish Life Amazon Playful Edition (Japan) [Musee Bolo]
Golden Tee Golf (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
Golden Winner [@LosTrastosDeXaX, ClawGrip]
Hasbro Playskool Heroes Transformers Rescue Bots Beam Box (Spain) [Sean Riddle, ClawGrip]
JAKKS Pacific Inc Star Wars Blaster Strike [Sean Riddle]
JAKKS Pacific Inc Teenage Mutant Ninja Turtles Hero Portal [Sean Riddle]
Kattobase Power Pro Kun [SpinalFeyd, R. Belmont]
Lexibook Compact Cyber Arcade - Star Wars Rebels [TeamEurope]
Lexibook JG7425 221-in-1 [TeamEurope]
M&D unknown M&D handheld [zhongtiao1]
Majesco (licensed from Konami) Konami Collector's Series Arcade Advanced [Sean Riddle, David Haywood]
Oxford Instruments ITC-4 Intelligent Temperature Controller (Version 2.04) [ClawGrip]
Pro-Nets Technology Speedcom VD56SP [ClawGrip]
Pub Time Darts [jordigahan, ClawGrip]
Rowe International CD-100B LaserStar [unknown]
Super Mario Fushigi no Korokoro Party (satellite) [SpinalFeyd]
Sweet Land [anonymous]
Takara / Sammy / DCT / SSD Company LTD Gachinko Contest! Slot machine TV (Japan)
  [Sean Riddle, Peter Wilhelmsen, ShouTime, David Haywood]
Techno Source Handy Boy 11-in-1 (TV Play Power) [Sean Riddle, GameHistory.org]
Toy Story Mania (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
unknown VRender0+ bowling game [SpinalFeyd, hammy, The Dumping Union]
Virtual Ping Pong (Conny / SDW Games) [Sean Riddle, David Haywood]
VTech Genius Junior Profi (Germany) [TeamEurope]
VTech Genius Tabletop Black Magic CX (Germany) [TeamEurope]
VTech PC Super Color (Spain) [ClawGrip]
VTech V.Baby [Sean Riddle, ClawGrip]


New clones marked as NOT_WORKING
--------------------------------
Abit 486 EISA-AE4 [rfka01]
AEG Olympia Olyport 40-21 [rfka01]
Aquarius System (ASI) MD-4DUVC [rfka01]
Arche Technologies Inc. KMA-300G-25 [rfka01]
Blood Bros. (Modular System) [jordigahan, ClawGrip]
Bull Micral 45 [rfka01]
Computechnik ASC486SLC [rfka01]
dreamGEAR Shredmaster Jr (NTSC) [Sean Riddle, David Haywood]
Elitegroup UM8810 PAIO [rfka01]
Elitegroup SI5PI AIO [rfka01]
Epson PC AX [rfka01]
Epson PC AX2e [rfka01]
Epson PC AX3 [rfka01]
Freetech 486FT55 [rfka01]
Gigabyte GA-486AM/S [rfka01]
Gondomania (World) [Corrado Tomaselli, The Dumping Union]
Jetway J-446A [rfka01]
Poitto! (revision C) [hammy, The Dumping Union]
Raiden (Modular System) [jordigahan, Recreativas.org, ClawGrip]
Sanyo SPC-400D [jordigahan, ClawGrip]
Star Horse Progress Returns (live and voice) [Darksoft, rtw, MetalliC]
Star Horse Progress Returns (main screen left) [Darksoft, rtw, MetalliC]
Star Horse Progress Returns (main screen right) [Darksoft, rtw, MetalliC]
Star Horse Progress Returns (sound) [Darksoft, rtw, MetalliC]
Super Mario Fushigi no Korokoro Party (center) [SpinalFeyd]
Tetris (bartop, prototype) [Andrew Welburn]
Thomson SIMIV TO16 [rfka01]
TMC Research Corporation PCI48AF [rfka01]
VTech Storio (ES, Spanish, 2011-06-17?) [Sean Riddle, ClawGrip]


New working software list additions
-----------------------------------
electron_flop:
  Stop Press 64 [Derek Walker]
  HeadFirst PD Disk E000/M000/B000, HeadFirst PD Disk E001/M005/B001, HeadFirst PD Disk E002/M006/B002, HeadFirst PD Disk E003,
  HeadFirst PD Disk E004, HeadFirst PD Disk E005, HeadFirst PD Disk E006, HeadFirst PD Disk E007, HeadFirst PD Disk E008,
  HeadFirst PD Disk E009, HeadFirst PD Disk E010/M009/B005, HeadFirst PD Disk E011, HeadFirst PD Disk E013,
  HeadFirst PD Disk E015/M015/B014, HeadFirst PD Disk E016/M016/B015, HeadFirst PD Disk E017, HeadFirst PD Disk M013/B012
  [everygamegoing.com]
fmtowns_flop: DOR, DOR Part 3, Elle [r09]
gameking: 4 in 1 - Chaser + Blaster + StarWars + Nagual (set 2) [sCZther, TeamEurope]
gameking3: Falcon Corps, Search Action, Vagrant [sCZther, TeamEurope]
ibm5170: Sleepwalker, UFO - Enemy Unknown (Italy) [ArcadeShadow]
pce: R-Type Part-2 (alt) [Maddog]
samcoupe_cass: F-16 Combat Pilot (demo) [TwistedTom]
samcoupe_flop:
  Boing!, Defenders Of The Earth, Sam Coupe System Disk (SAMDOS v1.1), Sam Coupe System Disk (SAMDOS v2.0), Sam Strikes Out!, Sphera
  [TwistedTom]
spectrum_cass: Los Gnomos - David el Gnomo [RetroLEL]
spectrum_mgt_flop: Plus D System Disk v1 [TwistedTom]
vectrex:
  3D Scape Demo Collection, All Good Things, City Bomber, Continuum, Hexed!, Lord of the Robots, Moon Lander, Nebula Commander,
  Patriots, Performance VX, Protector and Y*A*S*I, Revector, Rockaroids Remix, Ronen's Games Cart, Royal 21, Sectis, Spike Hoppin',
  Spike's Water Balloons - Analog Version, Thrust (1.2), Thrust (Final 1.01), Vector 21, Vector Vaders, Vectrex Frogger,
  Verzerk (Berzerk hack), War of the Robots, War of the Robots - Bow to the Queen, Zantis [Justin Kerk]


Software list items promoted to working
---------------------------------------
jaguar:
  Bubsy in Fractured Furry Tales, Cannon Fodder, Double Dragon V - The Shadow Falls, Dragon - The Bruce Lee Story, Hyper Force,
  Pinball Fantasies, Raiden, Raiden (Rev. A), Rayman, Sensible Soccer - International Edition, Soccer Kid,
  Soccer Kid (Re-release, Hacked), Towers II - Plight of the Stargazer, Worms, Zero 5, Zool 2 [Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
gcslottv: Aladdin TV, Ginginmaru TV, Moju-o TV, Salaryman Kintaro [Sean Riddle, Peter Wilhelmsen, ShouTime, David Haywood]
leapfrog_leappad_cart: Was ist das? von Richard Scarry (Germany) [TeamEurope, FakeShemp]
pico:
  The Muppets on the Go! (prototype 19950721), The Muppets on the Go! (prototype 19960301),
  The Muppets on the Go! (prototype 19960313), The Muppets on the Go! (prototype 19960322, set 1),
  The Muppets on the Go! (prototype 19960322, set 2), The Muppets on the Go! (prototype 19960324),
  The Muppets on the Go! (prototype 19960329), The Muppets on the Go! (prototype 19960330, set 1),
  The Muppets on the Go! (prototype 19960330, set 2) [Demon, FakeShemp]
sega_beena_cart:
  Pocket Monsters Diamond & Pearl Pokemon o Sagase! Meiro de Daibouken!, Samurai Sentai Shinkenger Battle ga Ippai! Iza Mairu!,
  Shoku Iku Series 1 Soreike! Anpanman-Sukikirai Nai Ko Genki na Ko!,
  Soreike! Anpanman Hajimete Kaketa yo! Oboeta yo! Hiragana Katakana - Gojuuon Board Kinou-tsuki,
  Yes! PreCure 5 Asonde Oboeyou Hiragana! [TeamEurope, FakeShemp]


Source Changes
--------------
-snk6502.cpp: Corrected CPU speed according to schematics and added wait states for vanguard, fantasy, pballoon and nibbler. [AJR]

-cpu/m6502: Added disassembler and basic execution core for Rockwell R65C19. [AJR]

-cpu/bcp: Added preliminary dp8344 execution core and improved disassembly. [AJR]

-cpu/mc68hc11: Fixed disassembly and execution of BRCLR/BRSET with Y-relative indexed addressing. [AJR]

-bus/s100: Added ASC Associates SASI Host Computer Adapter card. [AJR, Bitsavers]

-debugger: Added cpulist command. [AJR]

-cpu/vt50: Added very preliminary CPU execution emulation. [AJR]

-debugger: Show opcodes in octal when disassembling code from octal spaces. [AJR]

-armedf.cpp, galivan.cpp: Cleaned up video configuration, and converted to raw screen parameters. [Angelo Salese]

-galivan.cpp: Added interrupt acknowledge signal. [Angelo Salese]

-nb1414m4.cpp: Improved notes and added a frame synchronization stub. [Angelo Salese]

-Re-implemented ARM IOMD and VIDC20 emulation as devices. [Angelo Salese]
 * Both ssfindo.cpp and riscpc.cpp now share the same implementation.
 * Allows riscpc to reach desktop mode with valid non-volatile RAM contents.
 * Adds preliminary soudn for ppcar.

-Add low latency option to internal user interface. [Antonio Giner]

-namcos2.cpp: Reduced duplication in machine configurations and memory maps, and updated notes. [cam900]

-segas16a.cpp, segas16b.cpp: Added save state support, improved reset behavior, and moved dfjail to a derived state class. [cam900]

-bnstars.cpp, ms32,.cpp, tetrisp2.cpp: Derive clocks from crystals present on PCBs. [cam900]

-namcofl.cpp: Converted RAM/ROM banking to use address_map_bank_device, added raw screen parameters, and cleaned up code. [cam900]
 * Also updated notes on imperfectly emulated features.

-namco_c355spr.cpp: Fixed priorities when priority 0 sprites aren't the first layer drawn. [cam900]

-sknsspr.cpp: Corrected high-precision sprite shrinking algorithm and changed position values to 10.6 fixed point format. [cam900]

-tecmosys.cpp updates: [cam900]
 * Added sprite graphics decoding description, cleaned up sprite drawing code and restricted drawing to clipping rectangle.
 * Cleaned up code and added notes.

-bnstars.cpp, ms32.cpp, tetrisp2.cpp: Moved sprite drawing to a common device, improved sprite zoom, and cleaned up code. [cam900]

-ms32.cpp: Fixed sprite delay. [cam900]

-plugins/cheatfind: Added support for entering cheat names. [Carl]

-netlist: Reduced visibility of some matrix solver members. [Couriersud]

-vt1682 updates: [David Haywood]
 * Swapped background pen fall-through for boxing game.
 * Adjusted timing of line rendering to improve racing games.

-sunplus_gcm394.cpp: Improved DMA, banking and video addressing. [David Haywood]

-cpu/unsp updates: [David Haywood]
 * Implemented goto mr, mul su, lslor, exp, jvc and jvs instructions.
 * Added stubs for u'nSP 2.0 unimplemented extended instructions and registers.

-dreamwld.cpp: Hooked up microcontroller. [David Haywood]
 * Also replaced simulation of undumped microcontrollers with hacked versions of the dreamwld program replacing the payload.

-lua: Exposed address space address mask, data width and endianness. [feos]

-cpu/m68000: Fixed MMU issue that caused Domain/OS and its installer to crash. [Hans Ostermeyer]

-apollo.cpp: Fixed failures in DEX DISP7C tests 170 and 210 and self-test TE. [Hans Ostermeyer]

-model1.cpp: Fixed a number of transcription errors in the vf coprocessor TGP program. [hap, O. Galibert]

-bus/hp_dio: Fixed HP98265A SPC memory mapping for select codes other than 14, and renamed confusing default CD-ROM connection.
 [Kars de Jong]

-cps3.cpp: Fine-tuned screen parameters based on more precise measurements and early boards documentation. [MetalliC]

-intelfsh.cpp: Added Fujitsu 29LV002TC Flash device with hard-coded sector protection for Dreamcast. [MetalliC]

-dccons.cpp: Added Flash read/write support. [MetalliC]

-cpu/tms9900: Made address visible externally while accessing on-chip memory for tms9995. [Michael Zapf]

-sn76496.cpp: Use a timer to control the ready output. [Michael Zapf]

-model1.cpp: Replaced vf and swa coprocessor TGP simulation with emulation using internal programs. [O. Galibert, Caps0ff]

-model1.cpp: Changed hard-coded background pen, giving better results. [O. Galibert]

-apple2.cpp: Perform single-pixel shift for monochrome high-resolution graphics with bit 7 set. [R. Belmont, SoltanGris42]

-apple2.cpp updates: [R. Belmont]
 * Added Autostart Monitor BIOS option to apple2.
 * Fixed crash when running apple2 or apple2p without a card in slot 0.
 * Updated palette to use latest calculated values from Apple II Video Display Theory (MT07482).

-apple2gs updates: [R. Belmont]
 * Clear vertical blanking and quarter-second interrupts on reading (as well as writing) $C047. [R. Belmont]
 * Raise ADB interrupt on mouse axis movement (MT06782).

-bus/a2gameio: Added support for paddles. [R. Belmont]

-bus/a2bus: Added support for to $C074 control register to TransWarp accelerator card emulation. [R. Belmont]
 * Also added TransWarp card as an option for apple2 and apple2p (in addition to the apple2e family).

-z80ne.cpp, zn.cpp: Split up large state classes by machine type and reduced reliance on deprecated machine configuration features.
 [Ryan Holtz]

-terracre.cpp: Added support for disabling the foreground text layer (MT07494). [sasuke]

-galivan.cpp updates: [sasuke]
 * Added support for disabling the text layer, and fixed text colors for galivan, dangar, and clones (MT06946, MT07493).
 * Suppressed drawing tiles from memory locations used for NB1414M4 parameters.

-ssrj.cpp: Always show difficulty DIP switches. [sasuke]

-skyfox.cpp: Reimplemented background star drawing. [sasuke]

-spdheat.cpp: Changed service mode DIP switch to use the standard macro. [sasuke]

-speedatk.cpp: Fixed graphics tile selection (fixes bonus rate display). [sasuke]

-crgolf:cpp: Fixed coinage DIP switches. [sasuke]

-armedf.cpp, galivan.cpp: Adjusted sound balance to match PCB recordings. [sasuke]

-nb1414m4.cpp updates: [sasuke]
 * Fixed attribute fill when erasing blinking objects.
 * Suppress insert coin prompt when in game (flag supplied by game program).
 * Improved game over display.
 * Improved kozure score display.
 * Ignore repeated fill/DMA commands (fixes MT04344).
 * Cleaned up code a little.

-bus/spectrum: Added MGT +D G+DOS v1 BIOS option. [TwistedTom]

-samcoupe.cpp: Fixed colours in graphics modes 1 and 2, and added joysticks. [TwistedTom]

-bus/spectrum: Added ROM from a Brazilian Multiface One clone as a BIOS option. [TwistedTom]

-Added overridden new/delete operators to pre-fill memory in debug builds (can help identify uninitialised members). [Vas Crabb]

-osborne1.cpp updates: [Vas Crabb]
 * Made SCREEN-PAC video a clone machine rather than a configuration setting as it's a hardware modification.
 * Added additional default input mappings for the keys wired in parallel, and added backspace as an alias for cursor left.
 * Put the screen parameters used by the Nuevo Video BIOS in its machine configuration (improves automatic resolution selection).
 * Improved performance a little, cleaned up code, and updated notes.

-input_sdl.cpp: Added checks to ignore joystick buttons beyond maximum supported by structures. [Vas Crabb]

-Added support for saving members of structures in arrays, and added support for automatically saving output values. [Vas Crabb]

-Enhanced -listxml, -listsoftware, -getsoflist and -romident to support software lists enabled by slot card devices. [Vas Crabb]

-minimaws updates: [Vas Crabb]
 * Added support for software lists in web pages and romident verb.
 * Added clone listing to machine pages as well as software pages.
 * Added identification of fixed bit patterns up to 128 bits long to web-based ROM identification code.
 * Reduced network requests required to initial load a machine page.

-hh_sm510.cpp: Set 16-way flag for Game & Watch games that don't physically prevent contradictory directions being pressed.
 [algestam]

-mephisto_mm2.cpp: Added two more Mephisto MM IV revisions. [Berger]

-itech32.cpp: Corrected ROM names and documented PCB part numbers for drivedge. [Brian Troha]

-kickgoal.cpp: Added layout of PRO-3/B circuit board used by Kick Goal and Action Hollywood. [Brian Troha]

-tumbleb.cpp: Decapped and dumped microcontrollers for chokchock, htchctch, and dquizgo. [Caps0ff, Guru]

-dreamwld.cpp: Decapped and dumped dreamwld microcontroller. [Caps0ff, Guru]

-eispc.cpp: Re-enabled RAM size options that were disabled to work around a heap corruption issue. [Edstrom]

-gameboy.xml: Added additional PCB and enhancement support information, and cleaned up formatting. [FakeShemp]

-pico.xml: Added scanned pages for poohcornsw and cookpico. [FakeShemp, TeamEurope]

-sawatte.xml: Added scanned pages for doraedbl, soreike and uht. [FakeShemp, TeamEurope]

-Split Commodore 64 floppy disk software list into original, clean cracks, and other dumps. [Firehawke]

-flstory.cpp: Updated DIP switch descriptions for victnine based on manual. [Guru]

-megaplay.cpp: Documented Sonic the Hedgehog cartridge labels. [hammy]

-model2.cpp: Dumped drive board ROM EPR-16488 for daytona and clones. [jordigahan, ClawGrip]

-genpc.cpp: Added additional XT Award 2.05 BIOS dump to pc. [jordigahan, ClawGrip]

-taitopjc.cpp: Dumped PALs for optiger. [jordigahan, ClawGrip]

-missbamby.cpp: Dumped PROM for msbamby. [jordigahan, ClawGrip]

-rcm32p.cpp: Improved ROM labels based on PCB pictures. [Lord Nightmare, ValleyBell]

-triforce.cpp updates: [Lord Nightmare]
 * Marked mkartagp, mkartag2 and mkartag2a Flash ROM dumps chips as bad as data is missing.
 * Fixed mkartagp ROM mapping/interleaving.
 * Documented Flash block remapping lookup ROM and Flash metadata.

-chihiro.cpp: Replaced Ghost Squad security data with real PIC16 key firmware (dumped from an original but unprotected device).
 [MajorPBX]

-dccons.cpp: Added Katana BIOS v0.976. [MajorPBX, MetalliC]

-fmtowns_flop.xml: Added Japanese titles for most entries. [r09]

-at.cpp updates: [rfka01]
 * Added tg286m BIOS option to atturbo.
 * Added mrv135 BIOS option to at386.
 * Added mrv130 BIOS option to op82c391.
 * Added op495slc04 BIOS option to opti495slc.
 * Added ali148902 BIOS option to alim1489.
 * Added lh5 BIOS option to ls486e.
 * Added 2014 BIOS option to mb8433uud.
 * Added shuttle BIOS option to hot433.

-model2.cpp Added DIP switches to all Model 2 boards (used for debug features in some games). [RyogaMasaki]

-gameking.xml, gameking3.xml: Added some metadata about cartridge types. [TeamEurope]

-rainbow.cpp: Added Rainbow model A ROMs. [tradde, Bitsavers, rfka01]

-Added company names to a number of software list descriptions. [Wintermute 0110]
